summaryrefslogtreecommitdiffstats
path: root/xorg
diff options
context:
space:
mode:
authorPavel Roskin <plroskin@gmail.com>2016-10-08 02:02:07 +0000
committerPavel Roskin <plroskin@gmail.com>2016-10-08 02:02:07 +0000
commitb2bbaef640f21f794198e83b852c7a87db067645 (patch)
tree773d2a3c5921389e96f1e3662313e3273d1c4d5f /xorg
parent8e7d12ff50cbe57ebe4d429affbd4d63deb7ba66 (diff)
downloadxrdp-proprietary-b2bbaef640f21f794198e83b852c7a87db067645.tar.gz
xrdp-proprietary-b2bbaef640f21f794198e83b852c7a87db067645.zip
buildx.sh: utilize all available CPUs when compiling
Diffstat (limited to 'xorg')
-rwxr-xr-xxorg/X11R7.6/buildx.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/xorg/X11R7.6/buildx.sh b/xorg/X11R7.6/buildx.sh
index 0ae62a34..61d2126e 100755
--- a/xorg/X11R7.6/buildx.sh
+++ b/xorg/X11R7.6/buildx.sh
@@ -149,7 +149,7 @@ make_it()
# make module
if [ ! -e cookies/$mod_name.made ]; then
- if ! make -C build_dir/$mod_name
+ if ! make -j $NPROC -C build_dir/$mod_name
then
echo ""
echo "make failed for module $mod_name"
@@ -267,6 +267,10 @@ if [ ! -d cookies ]; then
fi
fi
+if ! NPROC=`nproc`; then
+ NPROC=1
+fi
+
while IFS=: read mod_file mod_dir mod_args
do
mod_args=`eval echo $mod_args`